## LassoUtilityStatus LassoUtilityStatus — <utility:Status> |

## Functions

LassoUtilityStatus * | lasso_utility_status_new ()

## Types and Values

struct | LassoUtilityStatus

## Description

Figure 142. Schema fragment for utility:Status

    <xs:element name="Status" type="StatusType">
      <xs:annotation>
        <xs:documentation> A standard Status type</xs:documentation>
      </xs:annotation>
    </xs:element>
    <xs:complexType name="StatusType">
      <xs:annotation>
        <xs:documentation> A type that may be used for status codes. </xs:documentation>
      </xs:annotation>
      <xs:sequence>
        <xs:element ref="Status" minOccurs="0"/>
      </xs:sequence>
      <xs:attribute name="code" type="xs:QName" use="required"/>
      <xs:attribute name="ref" type="xs:NCName" use="optional"/>
      <xs:attribute name="comment" type="xs:string" use="optional"/>
    </xs:complexType>

## Functions

### lasso_utility_status_new ()

    LassoUtilityStatus *
    lasso_utility_status_new (const char *code);

## Types and Values

### struct LassoUtilityStatus

    struct LassoUtilityStatus {
    	LassoNode parent;

    	LassoUtilityStatus *Status;
    	char *code;
    	char *ref;
    	char *comment;
    };